#version 330 core
#ifdef GL_ES
precision mediump float;
precision mediump int;
#endif
uniform sampler2D Texture0;
uniform vec4 DrawColor;
uniform float AlphaThreshold;

in vec2 vFogMapCoords;

out vec4 FragColor; 

void main (void)  
{  
	vec4 TotalColor = texture(Texture0, vFogMapCoords); // For FogMap
	if (DrawColor.x != 0.0 || DrawColor.y !=0.0 || DrawColor.z != 0.0 || DrawColor.w != 0.0)
		TotalColor *= DrawColor; // Add DrawColor.
	
	FragColor = TotalColor;             
}
