#version 330 core
#ifdef GL_ES
precision mediump float;
precision mediump int;
#endif
layout (location = 0) in vec3 v_coord;		// == gl_Vertex
layout (location = 4) in vec2 FogMapCoords;

layout(std140) uniform GlobalMatrices
{
	mat4 modelviewprojMat;
	mat4 modelviewMat; 
};

out vec2 vFogMapCoords;

void main(void)
{
	//Texture UV Fogmap to fragment
	vFogMapCoords	= FogMapCoords;

	gl_Position = modelviewprojMat * vec4(v_coord, 1.0);
}
